Package org.apache.sling.cms.core.internal.models

## Class PageManagerImpl

- java.lang.Object
- - org.apache.sling.cms.core.internal.models.PageManagerImpl

All Implemented Interfaces:
  `PageManager`

    @Model(adaptables=org.apache.sling.api.resource.Resource.class,
           adapters=org.apache.sling.cms.PageManager.class)
    public class PageManagerImpl
    extends Object
    implements PageManager

A model used to retrieve pages.

### Constructor Summary

Constructors
`PageManagerImpl​(org.apache.sling.api.resource.Resource containingResource)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Page` `getPage()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PageManagerImpl

    public PageManagerImpl​(org.apache.sling.api.resource.Resource containingResource)

### Method Detail

#### getPage

    public Page getPage()

Specified by:
  `getPage` in interface `PageManager`